{% extends 'base_fullwidth_leaflet.html' %}
{% load leaflet_tags %}
{% leaflet_js plugins="ALL" %}
{% load geojson_tags %}
{% load i18n %}
{% load render_table from django_tables2 %}
{% block content %}
    <h1 xmlns="http://www.w3.org/1999/html"><i class="{{ icon | safe }}"></i> {{ title }}</h1>
    <p>
        <small>Localité créée par <b>{{ object.created_by }}</b> le <b>{{ object.timestamp_create }}</b> et mise
            à jour le <b>{{ object.timestamp_update }}</b></small>
    </p>
    <div class="row">
        <div class="col-md-12 col-lg-5">
            <div class="panel panel-primary">
                <div class="panel-heading">
                    <div class="pull-right btn-group">
                        <a href="{% url 'sights:metaplace_update' pk=object.id_metaplace %}"
                           class="btn btn-default btn-xs"><i
                                class="fa fa-fw fa-edit"></i><span class="hidden-xs"> Modifier</span></a>
                        <a href="{% url 'sights:metaplace_delete' pk=object.id_metaplace %}"
                           class="btn btn-danger btn-xs"><i
                                class="fa fa-fw fa-trash"></i><span class="hidden-xs"> Supprimer</span></a>
                    </div>
                    <h4 class="panel-title"><i class="fas fa-info-circle"></i> Informations sur la localité</h4>
                </div>
                <div class="container-fluid">
                    <div class="row">
                        <div class="col-lg-12">
                            <fieldset>
                                <legend>Caractéristiques principales</legend>
                                <div class="row">
                                    <div class="col-xs-12 col-md-6">
                                        <label>Nom du métasite</label>
                                        <div class="well well-sm">{{ object.name }}</div>
                                    </div>
                                    <div class="col-xs-12 col-md-6">
                                        <label>Type</label>
                                        <div class="well well-sm">
                                            {% if object.type %}
                                                {{ object.type.descr }}{% else %}
                                                -{% endif %}</div>
                                    </div>
                            </fieldset>

                            <fieldset>
                                <legend>Localisation géographique</legend>
                                <div class="row">
                                    <div class="col-lg-12">
                                        {% if object.autogeom %}
                                            <p><i class="fas fa-draw-polygon"></i> Polygone généré selon les localités associées </p>
                                        {% else %}
                                            <i class="fas fa-draw-polygon"></i> Polygone dessiné manuellement
                                        {% endif %}
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-lg-12">
                                        {% leaflet_map "map" callback="window.map_init_basic" %}
                                        <script type="text/javascript">
                                            var metasite = {{ object.geom | geojsonfeature | safe }};

                                            function map_init_basic(map, options) {
                                                var markers = L.markerClusterGroup({
                                                    chunkedLoading: true,
                                                    spiderfyDistanceMultiplier: 3,
                                                    maxClusterRadius: 14
                                                });
                                                // Géolocalisation de l'utilisateur
                                                var style_data = {
                                                    radius: 6,
                                                    fillColor: "#8A2BE2",
                                                    color: "#ddd",
                                                    weight: 2,
                                                    opacity: 1,
                                                    fillOpacity: 0.8
                                                };

                                                var polygon_style = {
                                                    color: "#8A2BE2",
                                                    fillColor: "#9370DB",
                                                    weight: 2,
                                                    opacity: 0.8,
                                                    fillOpacity: 0.2
                                                };

                                                var locateOptions = {
                                                    flyTo: true,
                                                    title: 'Ma position',
                                                    icon: 'fa fa-location-arrow',
                                                };
                                                map.spin(true);
                                                L.control.locate(locateOptions).addTo(map);

                                                // Fonction plein écran
                                                map.addControl(new L.Control.Fullscreen());

                                                // Ajout du marker de la localité
                                                L.geoJson(metasite, polygon_style).addTo(map).bringToBack();

                                                var geodata_place_in_metaplace = '{% url "api:geodata_place_in_metaplace" pk=object.id_metaplace %}';

                                                fetch(geodata_place_in_metaplace, {
                                                    credentials: "include"
                                                })
                                                    .then(function (resp) {
                                                        return resp.json();
                                                    })
                                                    .then(function (data) {
                                                        markers.addLayer(L.geoJson(data, {
                                                            onEachFeature: function onEachFeature(feature, layer) {
                                                                var props = feature.properties;
                                                                var content = `<a class="btn btn-primary btn-sm btn-block" align="center" style="color:white;" href="/place/${props.pk}/detail" target="_blank" style="font-color:white"><strong>${props.name}</strong></a>`;
                                                                layer.bindPopup(content);
                                                            }
                                                            ,
                                                            pointToLayer: function (feature, latlng) {
                                                                return L.circleMarker(latlng, style_data);
                                                            }
                                                        })).addTo(map).bringToFront();
                                                    })
                                                    .then(function () {
                                                        map.spin(false);
                                                    })
                                                    .catch(function (error) {
                                                        console.log(error);
                                                    });

                                                map.fitBounds(L.geoJson(metasite).getBounds());
                                                map.setZoom(13);
                                            };
                                        </script>
                                    </div>
                                </div>
                            </fieldset>

                        </div>
                    </div>
                </div>
            </div>
        </div>

        {% comment %}


            DONNEES ATTRIBUEES A LA LOCALITE


        {% endcomment %}
        <div class="col-md-12 col-lg-7">
            <div id="accordion" class="panel-group">
                {% comment %}

                    BLOC1: Places d'inventaires

                {% endcomment %}
                <div class="panel panel-default panel-info panel-table">
                    <!-- Default panel contents -->
                    <div class="panel-heading">
                        <div class="pull-right btn-group btn-group-xs">
                            {% if placecount > 0 %}
                                <a class="btn btn-default" data-toggle="collapse" data-parent="#accordion"
                                   href="#collapsePlace" title="voir/cacher la liste"><span
                                        class="caret"></span></a>
                            {% endif %}
                            <a href="{% url 'sights:metaplace_place_create' pk=object.id_metaplace %}"
                               class="pull-right btn btn-primary btn-xs"><i
                                    class="fi-plus"></i> Nouvelle localité</a>
                        </div>
                        <h4><i
                                class="{{ placeicon }}"></i> Places d'inventaires</a>
                            <span class="badge">{{ Placecount }}</span>
                        </h4>
                    </div>

                    <!-- Table -->
                    {% if placecount > 0 %}
                        <div id="collapsePlace" class="panel-body">
                            {% render_table placetable %}
                        </div>
                    {% endif %}
                </div>

            </div>
        </div>
    </div>

    <br/> {% endblock %}